/* poppins-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  src: url('/fonts/poppins-v24-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 400;
  src: url('/fonts/poppins-v24-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 500;
  src: url('/fonts/poppins-v24-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-500italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 500;
  src: url('/fonts/poppins-v24-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 600;
  src: url('/fonts/poppins-v24-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-600italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 600;
  src: url('/fonts/poppins-v24-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 700;
  src: url('/fonts/poppins-v24-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 700;
  src: url('/fonts/poppins-v24-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-800 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 800;
  src: url('/fonts/poppins-v24-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-800italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 800;
  src: url('/fonts/poppins-v24-latin-800italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 900;
  src: url('/fonts/poppins-v24-latin-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-900italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Poppins';
  font-style: italic;
  font-weight: 900;
  src: url('/fonts/poppins-v24-latin-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-mono-100 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 100;
  src: url('/fonts/roboto-mono-v31-latin-100.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-100italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 100;
  src: url('/fonts/roboto-mono-v31-latin-100italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-200 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 200;
  src: url('/fonts/roboto-mono-v31-latin-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-200italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 200;
  src: url('/fonts/roboto-mono-v31-latin-200italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 300;
  src: url('/fonts/roboto-mono-v31-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-300italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 300;
  src: url('/fonts/roboto-mono-v31-latin-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 400;
  src: url('/fonts/roboto-mono-v31-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 400;
  src: url('/fonts/roboto-mono-v31-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 500;
  src: url('/fonts/roboto-mono-v31-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-500italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 500;
  src: url('/fonts/roboto-mono-v31-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 600;
  src: url('/fonts/roboto-mono-v31-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-600italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 600;
  src: url('/fonts/roboto-mono-v31-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 700;
  src: url('/fonts/roboto-mono-v31-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-mono-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto Mono';
  font-style: italic;
  font-weight: 700;
  src: url('/fonts/roboto-mono-v31-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

body { 
    margin: 0px;
    background:#eaf9d9;
}
* {
    scroll-behavior:smooth;
}
h1 {
    font-family: 'Poppins', sans-serif;
    font-size: 1.6rem;
    line-height: 1.8rem;
    font-weight: 700;
    border-bottom:4px solid #243119;
    color:#243119;
    margin: 1px 0px 10px 0px;
    padding: 0px 0px 5px 0px;
}
h2 {
    font-family: 'Poppins', sans-serif;
    font-size: 1.6rem;
    line-height: 1.8rem;
    font-weight: 700;
    border-bottom:4px solid #243119;
    color:#243119;
    margin: 0px 0px 15px 0px;
    padding: 0px 0px 5px 0px;
}
h3 {
    font-family: 'Poppins', sans-serif;
    font-size:1.25rem;
    line-height:1.4rem;
    font-weight:600;
    color: #243119; 
    margin: 0px 0px 5px 0px;
}
h4 {
    font-family: 'Poppins', sans-serif;
    font-size:1.2rem;
    line-height:1.4rem;
    font-weight:500;
    color: #243119; 
    margin:10px 0px 2px 0px;
}
h5 {
    font-family: 'Poppins', sans-serif;
    font-size: 1rem;
    line-height: 1.25rem;
    font-weight: 500;
    color:#243119;
    margin: 5px 0px 2px 0px;
}
h6 {
    font-family: 'Poppins', sans-serif;
    font-size: 0.875rem;
    line-height: 1.125rem;
    font-weight: 400;
    color:#243119;
    margin: 10px 0px 0px 0px;
}
p {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1rem;
    line-height: 1.5rem;
    font-weight: 400;
    color: #243119;
    margin: 0px 0px 15px 0px;
}
ul, ol {
    font-family: Georgia, 'Times New Roman', Times, serif;
    display: block;
    margin: 0px 0px 20px 20px;
    font-size: 1rem;
    line-height: 1.5rem;
    font-weight: 400;
    color:#243119;
}
li {
  margin: 10px 0px 5px 0px;
}
blockquote {
  font-family: Georgia, 'Times New Roman', Times, serif;
  border-left: 4px solid #243119;
  padding: 0px 0px 0px 20px;
  margin: 30px 0px 50px 40px;
}
blockquote ul, blockquote ol{
  margin: 0;
}
a {
    text-decoration:underline;
    text-decoration-color:#3fa7d6;
    color:#243119;
}
a:hover {
    font-style:italic;
    color:#3fa7d6;
}
img {
  max-width: 100%;
  height: auto;
}
.content-holder {
    position:fixed;
	  top:0px;
	  left:0px;
	  width:100vw;
	  height:100vh;
	  overflow-y:auto;
    z-index: 2;
}
header {
    position:fixed;
    top: 25px;
    left: 10px;
    width: 220px;
    height: 75vh;
    z-index: 0;
    overflow: hidden;
    user-select: none;
    padding: 20px 20px 20px 20px;
}
header :is(h2, h3, h4, h5, h6){
    opacity: .3;
}
header :is(h2, h3, h4, h5, h6):hover{
    opacity: 1.0;
}
header a{
    text-decoration: none;
    color: #243119;
}
header a:hover {
    font-style: normal;
    color: #243119;
}
.header-sel {
    opacity: 1.0 !important;
}
.toc ol {
  font-family: 'Poppins', sans-serif;
  list-style: none;
  padding: 0;
  margin: 0;
}
.toc a {
    opacity: .3;
}
.toc a:hover {
    opacity: 1.0;
}
.prevnext {
    display: flex;
    justify-content: center;
    gap: 2rem;
    margin: 20px 0px 0px 0px;
}
main {
    display: inline-block;
    margin-top: 25px;
    padding: 20px 25px 0px 275px;
    height: 100%;
    width: 60vw;
    max-width: 700px;
    text-align: left;
}
.home-section {
  margin: 0px auto 20px auto;
  padding: 0px 20px 20px 20px;
}
.home-section h2 a, .home-section h2 a:hover {
  text-decoration: none;
  font-style: normal;
  color:#243119;
}
.home-images {
  display: flex;
}
.home-image {
  display: flex;
  flex-direction: column;
  text-align: center;
  margin: 10px 40px 10px 10px;
}
.home-image img {
    transition: none;
}
@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}
#work, #project, #results, #testimonials, #cool {
  padding-top: 25px;
}
#work ul, #project ul {
  list-style: none;
  margin-left: 0;
  padding-left: 25px;
}
.intro p{
    font-family: 'Roboto Mono', monospace;
    font-weight: 400;
    font-size: .65rem;
    line-height: 1.2rem;
    margin: 0;
    text-transform: uppercase;
}
.intro h1 {
    padding-top: 25px;
}
.intro-info {
    padding: 20px 0px 20px 0px;
    border-top: 1px solid #243119;
    border-bottom: 1px solid #243119;
}
.footer {
    border-top: 1px solid #243119;
    font-family: 'Roboto Mono', monospace;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-bottom: 10px;
    margin-top: 75vh;
    padding: 0px 25px 50px 25px;
    z-index: 3;
}
.footer-list {
    width: 200px;
    padding: 0px 10px 0px 10px;
}
.footer h4 {
    font-family: 'Roboto Mono', monospace;
}
.footer h5{
    font-family: 'Roboto Mono', monospace;
    font-size: .875rem;
    margin-top: 25px;
}
.footer ul {
    font-family: 'Roboto Mono', monospace;
    font-size: 0.75rem;
    line-height: .85rem;
    display: block;
    list-style: none;
    margin: 0px;
    padding: 0px;
}
.footer li {
    display: block;
    margin-bottom: 15px;
}
.mobile-spacer {
    display: none;
}
@media (max-width: 768px) {
    header {
        position: fixed;
        top:0;
        width: 90%;
        height: auto;
        padding-top: 30px;
        background: #eaf9d9;
        transition: transform 0.3s ease;
        z-index: 10;
    }
    header :is(h2, h3, h4, h5, h6) {
        opacity: 1.0;
    }
    .toc {
        display: none;
    }
    .footer {
        display: none;
    }
    main {
        width:90%;
        padding-left: 25px;
        padding-top: 300px;
    }
    .mobile-spacer {
        display: block;
        height: 300px;
    }
}